QGIS 2.8.2 crashes when applying OS area style for VML

2015-07-27 01:34 PM - Harry Clarke

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Project Loading/Saving

Affected QGIS version:2.8.2 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 21226

Description

Opening up a project that had worked perfectly OK in previous versions of QGIS, including version 2.8.1, some changes introduced in

2.8.2 causes QGIS to crash.

The data is Ordnance Survey Vector Map Local, and the style files applied are the OS style files.

When first opening up the project, a number of large question marks were noticed on the displayed map. On further investigation and

many crashes later, this was found to be the area layer.

It is difficult to investigate, as QGIS crashes all the time. However, it was possible to delete the area layer and reload it. Everything OK so

far. Then the style file was loaded which caused QGIS to crash. In case some changes had been made to the style file, the latest version

was download from Githubb, as pointed to on the OS website at 

https://github.com/OrdnanceSurvey/OS-VectorMap-Local-stylesheets/tree/master/GML%20stylesheets/QGIS%20stylesheets%20(QML

/Full%20Colour%20style

This made no difference.

History

#1 - 2015-07-30 01:44 PM - Giovanni Manghi

- Status changed from Open to Feedback

- Priority changed from Normal to High

- Crashes QGIS or corrupts data changed from No to Yes

I cannot replicate the crasj on qgis 2.8.2

style used

https://raw.githubusercontent.com/OrdnanceSurvey/OS-VectorMap-Local-stylesheets/master/GML%20stylesheets/QGIS%20stylesheets%20%28QML

29/Full%20Colour%20style/Area.qml

data used: sample VLM from

https://www.ordnancesurvey.co.uk/business-and-government/licensing/sample-data/discover-data.html

please attach the problematic project, with data and styles, thanks.

#2 - 2015-07-30 03:25 PM - Giovanni Manghi

- Target version set to Future Release - High Priority

- Status changed from Feedback to Open

- Category set to Project Loading/Saving

- Priority changed from High to Severe/Regression
- OS version deleted (8.1)

- Operating System deleted (Windows)

Forget it, I confirm the crash on project load

giovanni@sibirica:~ > qgis

Warning: loading of qgis translation failed [/usr/share/qgis/i18n//qgis_en_US]

Warning: loading of qt translation failed [/usr/share/qt4/translations/qt_en_US]

Warning: Bus::open: Can not get ibus-daemon's address. 

IBusInputContext::createInputContext: no connection to ibus-daemon 

Warning: QGraphicsScene::addItem: item has already been added to this scene

Warning: Object::connect: No such signal org::freedesktop::UPower::DeviceAdded(QDBusObjectPath)

Warning: Object::connect: No such signal org::freedesktop::UPower::DeviceRemoved(QDBusObjectPath)

Warning: QFont::setPixelSize: Pixel size <= 0 (0)

Warning: QFont::setPixelSize: Pixel size <= 0 (0)

Warning: QFont::setPixelSize: Pixel size <= 0 (0)

Warning: QFont::setPixelSize: Pixel size <= 0 (0)

Warning: QFont::setPixelSize: Pixel size <= 0 (0)

Warning: QFont::setPixelSize: Pixel size <= 0 (0)

Warning: QFont::setPixelSize: Pixel size <= 0 (0)

Warning: QFont::setPixelSize: Pixel size <= 0 (0)

Warning: QFont::setPixelSize: Pixel size <= 0 (0)

Warning: QFont::setPixelSize: Pixel size <= 0 (0)

Warning: QFont::setPixelSize: Pixel size <= 0 (0)

Warning: QFont::setPixelSize: Pixel size <= 0 (0)

Warning: QFont::setPixelSize: Pixel size <= 0 (0)

Warning: QFont::setPixelSize: Pixel size <= 0 (0)

Warning: QFont::setPixelSize: Pixel size <= 0 (0)

Warning: QFont::setPixelSize: Pixel size <= 0 (0)

Warning: QFont::setPixelSize: Pixel size <= 0 (0)

Warning: QFont::setPixelSize: Pixel size <= 0 (0)

Warning: QFont::setPixelSize: Pixel size <= 0 (0)

Warning: QFont::setPixelSize: Pixel size <= 0 (0)

Warning: QFont::setPixelSize: Pixel size <= 0 (0)

Warning: QFont::setPixelSize: Pixel size <= 0 (0)

Warning: QFont::setPixelSize: Pixel size <= 0 (0)

Warning: QFont::setPixelSize: Pixel size <= 0 (0)

Segmentation fault

#3 - 2015-08-17 03:38 PM - Martin Dobias

This may have been fixed already in master (commit:febadfe21bb1eb5639d5a90d52f845415b31fb7b) and 2.8 branch

(commit:6be19a8daca1bda6ebfcfbe1ed15859b2590a197) - that fix will be available in 2.8.4.

#4 - 2015-09-14 12:03 AM - Saber Razmjooei

- Status changed from Open to Closed

I can confirm that it works fine with the patch. Please re-open if you still have problem.
